#ifndef HEIGHT_QUANTITY_H
#define HEIGHT_QUANTITY_H

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#ifdef HAVE_GL_GL_H
#  include <GL/gl.h>
#elif HAVE_OPENGL_GL_H
#  include <OpenGL/gl.h>
#endif
#include <SDL.h>

struct height_quantity_simple{
  char *name;
  uint8_t frames;
  double offset;
  double scale;
  Uint32 color;
  GLuint displayLists;
  struct height_quantity_simple *next;
};

/* Define (or redefine if already defined a simple height quantity with the 
 * given offset, scale, and color. Returns 0 on success, -1 on error.
 */
extern int AnugaVis_DefineHeightQuantity(const char *name,
					 double offset, double scale,
					 int red, int green, int blue);
/* Undefine a given simple height quantity.
 */
extern void AnugaVis_UndefineHeightQuantity(const char *name);

#endif
